Documents

Option Value Delete

DELETE
/documents/option/{optionValueGuid}/delete

Deletes a single option value by its GUID.

Authorization

AuthorizationBearer <token>

JWT token to authenticate the request.

In: header

X-Api-Key<token>

API key, sent as a request header.

In: header

Path Parameters

optionValueGuid*string

GUID of the option value to delete.

Formatuuid

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/documents/option/c9bf9e57-1685-4c89-bafb-ff5af830be8a/delete"
{  "result": {    "data": {      "optionValueGuid": "c9bf9e57-1685-4c89-bafb-ff5af830be8a",      "message": "Option value deleted successfully."    },    "statusCode": 200,    "message": "OK"  },  "origin": "https://app.example.com",  "dateTime": "2026-07-14T09:30:00.0000000+00:00",  "operationId": "0HN7GK9M4T2R5"}
{  "code": "DATA_NAME_REQUIRED",  "message": "Name is required."}
Empty
Empty
{  "code": "GET_DATA_SOURCE_ERROR",  "message": "An unexpected error occurred.",  "eventId": "a1b2c3d4"}